Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.buildin.hardsoftdouble
Class HardSoftDoubleScoreDefinition

    java.lang.Object
      org.optaplanner.core.impl.score.definition.AbstractScoreDefinition<S>
          org.optaplanner.core.impl.score.definition.AbstractFeasibilityScoreDefinition<HardSoftDoubleScore>
              org.optaplanner.core.impl.score.buildin.hardsoftdouble.HardSoftDoubleScoreDefinition

All Implemented Interfaces:
  Serializable, FeasibilityScoreDefinition<HardSoftDoubleScore>, ScoreDefinition<HardSoftDoubleScore>

    public class HardSoftDoubleScoreDefinition

extends AbstractFeasibilityScoreDefinition<HardSoftDoubleScore>

See Also:
  Serialized Form

Constructor Summary
`HardSoftDoubleScoreDefinition()`

Method Summary
`HardSoftDoubleScore` | `buildOptimisticBound(InitializingScoreTrend initializingScoreTrend, HardSoftDoubleScore score)` Builds a `Score` which is equal or better than any other `Score` with more variables initialized (while the already variables don't change).
`HardSoftDoubleScore` | `buildPessimisticBound(InitializingScoreTrend initializingScoreTrend, HardSoftDoubleScore score)` Builds a `Score` which is equal or worse than any other `Score` with more variables initialized (while the already variables don't change).
`HardSoftDoubleScoreHolder` | `buildScoreHolder(boolean constraintMatchEnabled)` Used by `DroolsScoreDirector`.
`int` | `getFeasibleLevelsSize()` Returns the number of levels of `Score.toLevelNumbers()`.
`int` | `getLevelsSize()` Returns the length of `Score.toLevelNumbers()` for every `Score` of this definition.
`Class<HardSoftDoubleScore>` | `getScoreClass()` Returns the `Class` of the actual `Score` implementation
`HardSoftDoubleScore` | `parseScore(String scoreString)` Parses the `String` and returns a `Score`.

Methods inherited from class org.optaplanner.core.impl.score.definition.AbstractScoreDefinition
`formatScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.score.definition.ScoreDefinition
`formatScore`

Constructor Detail

### HardSoftDoubleScoreDefinition

    public HardSoftDoubleScoreDefinition()

Method Detail

### getLevelsSize

    public int getLevelsSize()

  Description copied from interface: `ScoreDefinition`
  Returns the length of `Score.toLevelNumbers()` for every `Score` of this definition.

  Returns:
    at least 1

### getFeasibleLevelsSize

    public int getFeasibleLevelsSize()

  Description copied from interface: `FeasibilityScoreDefinition`
  Returns the number of levels of `Score.toLevelNumbers()`. that are used to determine `FeasibilityScore.isFeasible()`.

  Returns:
    at least 0, at most `ScoreDefinition.getLevelsSize()`

### getScoreClass

    public Class<HardSoftDoubleScore> getScoreClass()

  Description copied from interface: `ScoreDefinition`
  Returns the `Class` of the actual `Score` implementation

  Returns:
    never null

### parseScore

    public HardSoftDoubleScore parseScore(String scoreString)

  Description copied from interface: `ScoreDefinition`
  Parses the `String` and returns a `Score`.

  Parameters:
    `scoreString` - never null
  Returns:
    never null
  See Also:
    `ScoreDefinition.formatScore(Score)`

### buildScoreHolder

    public HardSoftDoubleScoreHolder buildScoreHolder(boolean constraintMatchEnabled)

  Description copied from interface: `ScoreDefinition`
  Used by `DroolsScoreDirector`.

  Parameters:
    `constraintMatchEnabled` - true if `ScoreHolder.isConstraintMatchEnabled()` should be true
  Returns:
    never null

### buildOptimisticBound

    public HardSoftDoubleScore buildOptimisticBound(InitializingScoreTrend initializingScoreTrend,
                                                    HardSoftDoubleScore score)

  Description copied from interface: `ScoreDefinition`
  Builds a `Score` which is equal or better than any other `Score` with more variables initialized (while the already variables don't change).

  Parameters:
    `initializingScoreTrend` - never null, with `InitializingScoreTrend.getLevelsSize()` equal to `ScoreDefinition.getLevelsSize()`.
    `score` - never null
  Returns:
    never null

### buildPessimisticBound

    public HardSoftDoubleScore buildPessimisticBound(InitializingScoreTrend initializingScoreTrend,
                                                     HardSoftDoubleScore score)

  Description copied from interface: `ScoreDefinition`
  Builds a `Score` which is equal or worse than any other `Score` with more variables initialized (while the already variables don't change).

  Parameters:
    `initializingScoreTrend` - never null, with `InitializingScoreTrend.getLevelsSize()` equal to `ScoreDefinition.getLevelsSize()`.
    `score` - never null
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.